`BootCP` <-
function(X,y,Xt,yt,fun=FitLDA, NREP=10, nTrain=nrow(X)){
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    if (!all(sort(unique(y))==c(-1,1))) stop("y must be vector of 1 or -1's")
    if (!all(sort(unique(yt))==c(-1,1))) stop("yt must be vector of 1 or -1's")
    if (nrow(X)!=length(y)) stop("nrow(X) != length(y)")
    if (nrow(Xt)!=length(yt)) stop("nrow(Xt) != length(yt)")
    Xy<-rbind(cbind(X,y),cbind(Xt,yt))
    n <- nrow(Xy)
    p <- ncol(Xy)
    R <- matrix(numeric(2*NREP), ncol=2)
    nTest <- n-nTrain
    for (i in 1:NREP){
      iTrain<-sample(n,size=nTrain,replace=TRUE)
      iTest<-sample(n,size=nTest,replace=TRUE)
      R[i,]<-fun((Xy[,-p])[iTrain,], (Xy[,p])[iTrain], (Xy[,-p])[iTest,], (Xy[,p])[iTest])$MisRates
      }
    mR <- apply(R, 2, mean)
    mSd <- apply(R, 2, sd)
    out<-matrix(c(mR,mSd), ncol=2, byrow=TRUE)
    dimnames(out)<-list(c("mean","sd"), c("training", "test"))
    out
}

