`FitDQDA` <-
function(X,y,Xt,yt){
##requires library(sma)
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    if (!all(sort(unique(y))==c(-1,1))) stop("y must be vector of 1 or -1's")
    if (!all(sort(unique(yt))==c(-1,1))) stop("yt must be vector of 1 or -1's")
    if (nrow(X)!=length(y)) stop("nrow(X) != length(y)")
    if (nrow(Xt)!=length(yt)) stop("nrow(Xt) != length(yt)")
    Y<- (-y)+abs(y)  
    Y <- Y + (Y==0)
    yp<-stat.diag.da(X, Y, X, pool=0)$pred
    yp[yp==2] <- -1
    cmat<-table(y,yp,dnn=c("Observed","Predicted"))
    r<-1-sum(diag(cmat))/sum(cmat)
    ytp<-stat.diag.da(X, Y, Xt, pool=0)$pred
    ytp[ytp==2] <- -1
    cmatTest <- table(yt,ytp,dnn=c("Observed","Predicted"))
    rTest <- 1-sum(diag(cmatTest))/sum(cmatTest)   
    r<-c(r,rTest)
    names(r)<-c("Train","Test")
    list(MisRates=r, CMats=list(cmat,cmatTest))
}

