`FitFFNN` <-
function(X,y,Xt,yt,size=1, skip=TRUE){
##requires library(nnet)
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    if (!all(sort(unique(y))==c(-1,1))) stop("y must be vector of 1 or -1's")
    if (!all(sort(unique(yt))==c(-1,1))) stop("yt must be vector of 1 or -1's")
    if (nrow(X)!=length(y)) stop("nrow(X) != length(y)")
    if (nrow(Xt)!=length(yt)) stop("nrow(Xt) != length(yt)")
#training
    targets<-class.ind(y)
    Y<-factor(y,levels=c(1,-1), labels=c(1,-1))
    xy.df<-data.frame(X,Y=Y)
    out<-nnet(Y~., data=xy.df, size = size, skip = skip, rang = 0.1, decay = 5e-4, maxit = 200,trace=FALSE)
    yp <-as.numeric(predict(out, newdata=data.frame(X), type="class"))
    cmat<-table(y,yp,dnn=c("Observed","Predicted"))
    r<-1-sum(diag(cmat))/sum(cmat)
#test
    xt.df<-data.frame(Xt)
    ytp<-as.numeric(predict(out, xt.df,type="class"))
    cmatTest<-table(yt,ytp,dnn=c("Observed","Predicted"))
    rTest<-1-sum(diag(cmatTest))/sum(cmatTest)
    r<-c(r,rTest)
    names(r)<-c("Train","Test")
    list(MisRates=r, CMats=list(cmat,cmatTest))
}

