`FitLDA` <-
function(X,y,Xt,yt){
#requires library(MASS)
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    if (!all(sort(unique(y))==c(-1,1))) stop("y must be vector of 1 or -1's")
    if (!all(sort(unique(yt))==c(-1,1))) stop("yt must be vector of 1 or -1's")
    if (nrow(X)!=length(y)) stop("nrow(X) != length(y)")
    if (nrow(Xt)!=length(yt)) stop("nrow(Xt) != length(yt)")
#training
    Y<-factor(y,levels=c(1,-1), labels=c(1,-1))
    xy.df<-data.frame(X,Y=Y)
    ans<-lda(Y~., data=xy.df)
    Yp<-predict(ans, xy.df)$class
    yp<-as.numeric(as.vector(Yp))
    cmat<-table(y,yp,dnn=c("Observed","Predicted"))
    r<-1-sum(diag(cmat))/sum(cmat)
#test
    xt.df<-data.frame(Xt)
    Ytp<-predict(ans, xt.df)$class
    ytp<-as.numeric(as.vector(Ytp))
    cmatTest<-table(yt,ytp,dnn=c("Observed","Predicted"))
    rTest<-1-sum(diag(cmatTest))/sum(cmatTest)
    r<-c(r,rTest)
    names(r)<-c("Train","Test")
    list(MisRates=r, CMats=list(cmat,cmatTest))
}

