`FitPCReg` <-
function(X,y,Xt,yt,ncomp=1){
#principal component regression
#requires library(pls)
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    if (!all(sort(unique(y))==c(-1,1))) stop("y must be vector of 1 or -1's")
    if (!all(sort(unique(yt))==c(-1,1))) stop("yt must be vector of 1 or -1's")
    if (nrow(X)!=length(y)) stop("nrow(X) != length(y)")
    if (nrow(Xt)!=length(yt)) stop("nrow(Xt) != length(yt)")
#training
    xy.df <- data.frame(X,Y=y)
    ans <- pcr(Y~., data=xy.df, ncomp=ncomp)
    yp <- c(predict(ans, newdata=data.frame(X), comps=1:ncomp, type="response"))
    yp <- yp < 0
    yp[yp==TRUE] <- -1
    yp[yp==FALSE] <- 1
    cmat <- table(y,yp,dnn=c("Observed","Predicted"))
    r <- 1-sum(diag(cmat))/sum(cmat)
#test
    xt.df<-data.frame(Xt)
    ytp <- c(predict(ans, newdata=data.frame(Xt), comps=1:ncomp, type="response"))
    ytp <- ytp < 0
    ytp[ytp==TRUE] <- -1
    ytp[ytp==FALSE] <- 1
    cmatTest <-table(yt, ytp, dnn=c("Observed","Predicted"))
    rTest<-1-sum(diag(cmatTest))/sum(cmatTest)
    r<-c(r,rTest)
    names(r)<-c("Train","Test")
    list(MisRates=r, CMats=list(cmat,cmatTest))
}

