`FitRDA` <-
function(X,y,Xt,yt,alpha=seq(0,0.99,0.11), delta=seq(0,4,0.2)){
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
     y.train <- y/2+1.5
     y.test <- yt/2+1.5
     fit <- rda(t(X), y.train)
     fit.cv <- cv.rda(fit, t(X),y.train, alpha=alpha, delta=delta)
     a<-fit.cv$cv.err
     b<-fit.cv$ngene
     La<-length(alpha)
     Ld<-length(delta)
     IndDel<-rep(1:Ld,each=La)
     IndAlp<-rep(1:La,Ld)
     i<- 1:length(a)
     Ind.min<- i[a==min(a)]
     Ind<-rbind( IndAlp[Ind.min],IndDel[Ind.min])
     g<-rep(NA, ncol(Ind))
     for ( i in 1:ncol(Ind)) g[i]<-b[Ind[1,i], Ind[2,i]]
     AlpDelInd<-Ind[,which.min(g)]
     Alpha<-alpha[AlpDelInd[1]]
     Delta<-delta[AlpDelInd[2]]
     ynew.test <- predict(fit, x=t(X), y=y.train, xnew=t(Xt), alpha=Alpha, delta=Delta)             
     ## calculate the prediction error
      ynew.train <- predict(fit, x=t(X), y=y.train, xnew=t(Xt), alpha=Alpha, delta=Delta)             
      TestError<-sum((ynew.test - y.test)!=0)/nrow(Xt)
      TrainError<-sum((ynew.train - y.train)!=0)/nrow(X)
      MissClass<-c(TrainError, TestError)
      names(MissClass)<-c("Train", "Test")
      MissClass
}

