`FitRPLS` <-
function(X,y,Xt,yt, LambdaRange=c(0.01,1), ncompMax=20){
#needs library(plsgenomics)
#Assume X is design matrix form
    stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    if (!all(sort(unique(y))==c(-1,1))) stop("y must be vector of 1 or -1's")
    if (!all(sort(unique(yt))==c(-1,1))) stop("yt must be vector of 1 or -1's")
    if (nrow(X)!=length(y)) stop("nrow(X) != length(y)")
    if (nrow(Xt)!=length(yt)) stop("nrow(Xt) != length(yt)")
#
    NRowTr<-nrow(X)
    NRowTe<-nrow(Xt)
    Train<-as.matrix(X)
    Test<-as.matrix(Xt)
    Cl.Train<-round(y/2+1.5)  #from -1 and 1 to 1 2 resp.
    Cl.Test<-round(yt/2+1.5)
    ComLam<-rpls.cv(Ytrain=Cl.Train,Xtrain=Train,LambdaRange=LambdaRange,ncompMax=ncompMax)
    resTrain<- rpls(Ytrain=Cl.Train,Xtrain=Train,Lambda=ComLam$Lambda,ncomp=ComLam$ncomp,Xtest=Train,NbIterMax=50)$Ytest
    resTest<- rpls(Ytrain=Cl.Train,Xtrain=Train,Lambda=ComLam$Lambda,ncomp=ComLam$ncomp,Xtest=Test,NbIterMax=50)$Ytest
    yp<-round((resTrain-1.5)*2)
    ytp<-round((resTest-1.5)*2)
    cmat<-table(y,yp,dnn=c("Observed","Predicted"))
    cmatTest<-table(yt,ytp,dnn=c("Observed","Predicted"))
    TrainError<-sum((Cl.Train-resTrain)!=0)/NRowTr
    TestError<-sum((Cl.Test-resTest)!=0)/NRowTe
    MissClass<-c(TrainError, TestError)
    names(MissClass)<-c("Train", "Test")
    list(MisRates=MissClass, CMats=list(cmat,cmatTest))
}

