`FitkNN` <-
function(X,y,Xt,yt,k=1){
##requires library(class)
#Assume X is design matrix form
stopifnot(is.matrix(X), is.matrix(Xt), is.vector(y), is.vector(yt))
    if (!all(sort(unique(y))==c(-1,1))) stop("y must be vector of 1 or -1's")
    if (!all(sort(unique(yt))==c(-1,1))) stop("yt must be vector of 1 or -1's")
    if (nrow(X)!=length(y)) stop("nrow(X) != length(y)")
    if (nrow(Xt)!=length(yt)) stop("nrow(Xt) != length(yt)")
#training
    Y<-factor(y,levels=c(1,-1), labels=c(1,-1))
    yp<-knn(X, X, Y)
    yp<-as.numeric(as.vector(yp))
    cmat<-table(y,yp,dnn=c("Observed","Predicted"))
    r<-1-sum(diag(cmat))/sum(cmat)
#test data
    ytp<-knn(X, Xt, Y)
    ytp<-as.numeric(as.vector(ytp))
    cmatTest<-table(yt,ytp,dnn=c("Observed","Predicted"))
    rTest<-1-sum(diag(cmatTest))/sum(cmatTest)
    r<-c(r,rTest)
    names(r)<-c("Train","Test")
    list(MisRates=r, CMats=list(cmat,cmatTest))
}

