`KNN.covariate.test` <-
function(K,train, cl, test, ...){
#
# This function computes the autocovariates in terms of nearest neighbor in test set.
# K     : value of nearest neighbor defined by Holmes et. al(2002)
# train : training data set
# cl    : class levels for the training set
# test  : test data
# The value "prob" obtained using knn can be defined as:
# p=number/K ; where number=number of classifications to the predicted class out of K.
#
res.knn<- knn(as.matrix(train), as.matrix(test), cl=cl, k = K, prob=TRUE,use.all = FALSE)
p<- attributes(res.knn)$prob
res.v<- 2*as.numeric(res.knn)-3
number<- p*K
z<-sign(res.v)*(-K+number +number)/K
z
}

