`NN.CV` <-
function(Train, Cl.Train, Reg=plsr, ncomp=5){ 
#
# It finds the cross validation error rate (as done in package pls)
# for given training set and regression method.
#
# Train      : Training sample
# Cl.Train   : Class of training sample
# Reg        : Method of regression, which can be plsr or pcr
# ncomp      : Number of components taken in the pls/pc regression.
#              Eg., ncomp=5 means it will take components 1, 2, ..., 5.
#
    data.tr<-cbind(Train, y=Cl.Train)
    dnames<-dimnames(data.tr)[[2]]
    data.tr<-as.data.frame(data.tr)
    dimnames(data.tr)[[2]]<-dnames
    fit<-Reg(y~., ncomp,  validation="LOO", data=data.tr)
    fit.val<-fit[names(fit)=="validation"]
    fit.val.1<-fit.val$validation
    PredTrain<-fit.val.1$pred[,,]
    PredTrainCl<-ifelse(PredTrain<0,-1,1)
    ResultTrain<-sweep(PredTrainCl, 1,Cl.Train)
    MisTrain<-apply(ResultTrain, 2, function(x)sum(x!=0))
    MisTrain
}

