`OneDPlots` <-
function(X, y, NumGenes=100, NPlots=1){
#requires library lattice
#X is design matrix form, columns are genes, rows are samples
# y is vector of 1's and -1's
#we plot a random sample of genes to compare y=1 and y=-1
stopifnot(is.matrix(X), length(y)==nrow(X))
NC<-ncol(X)
ny<-length(y)
yc<-factor(rep(y, NumGenes), labels=c("y = 1","y = -1"), levels=c(1,-1))
g<-rep(1:NumGenes,rep(ny,NumGenes))
graphics.off()
windows(record=TRUE)
for (k in 1:NPlots){
    ig<-sample(NC, NumGenes)
    xg<-X[,ig]
    xg<-c(t(xg))
    mt<-paste("Random sample of genes. Sample ",k)
    print(xyplot(g~xg|yc, ylab="genes", xlab="gene expression", main=mt, pch=16, cex=0.5))
    }
}

