`kNNSelect` <-
function(X,y,kmax=25){
#requires library(MASS)
    if (!all(sort(unique(y))==c(-1,1))) stop("y must be vector of 1 or -1's")
    if (nrow(X)!=length(y)) stop("nrow(X) != length(y)")
    Y<-factor(y, labels=c("1","-1"),levels=c(1,-1))
    ks<-seq(1,kmax,2)
    nks<-length(ks)
    m<-numeric(nks)
    for (i in 1:nks)
        m[i]<-mrate(y,knn.cv(X, Y, k = ks[i]))
    names(m)<-ks
    kopt<-as.numeric(names(sort(m)[1]))
    plot(ks,m, xlab="k", ylab="error rate")
    title(main="Leave one out cross-validation. Misclassification rate")
    title(sub=paste(" optimal k = ",kopt))
    m
}

