\name{BRAC2}
\alias{BRAC2}
\docType{data}
\title{ Breast cancer, BRCA2 mutation, Hendenfalk et al. 2004}
\description{
Response is y=1 or y=-1 according as have BRAC2 mutation or not.
There are 3226 gene expressions.

\tabular{rccc}{
Data	\tab y=1 \tab y=--1 \tab Total 	\cr
train	\tab 5 \tab 9 \tab 14 		\cr
test	\tab 3 \tab 5 \tab 8
}

Note: the gene expressions in BRAC1, BRAC2 and Sporadic are not identical.
}

\usage{data(BRAC2)}

\format{
List with 4 named elements, X, y, Xt, yt, which are respectively the
training design matrix, training classes, test design matrix and test classes.
}

\details{
Breast cancer data set (Hedenfalk et al., 2001).
RNA from samples of primary breast tumors from 7 carriers of the BRCA1 mutation, 8 carriers of the BRCA2
mutation, and 7 patients with sporadic cases of breast cancer have been hybridized to a cDNA microarray
containing 6512 complementary DNA clones of 5361 genes. The goal here is to classify the different mutations,
so three combinations are possible in this case.
First, tissues with BRCA1 mutations are separated from the tissues with BRCA2 or sporadic mutations.
The training set consists of 14 breast cancer tissues of which 4 have a BRCA1 mutation and 10 have not. The
test set consists of 8 tissues of which 3 have a BRCA1 mutation and 5 have not. The number of gene expression
levels is 3226.
Second, tissues with BRCA2 mutations are separated from the tissues with BRCA1 or sporadic mutations.
The training set consists of 14 breast cancer tissues of which 5 have a BRCA1 mutation and 9 have not. The
test set consists of 8 tissues of which 3 have a BRCA1 mutation and 5 have not. The number of gene expression
levels is 3226.
Third, tissues with sporadic mutations are separated from the tissues with BRCA1 or BRCA2 mutations.
The training set consists of 14 breast cancer tissues of which 4 have a BRCA1 mutation and 10 have not. The
test set consists of 8 tissues of which 3 have a BRCA1 mutation and 5 have not. The number of gene expression
levels is 3226.
}

\source{
Nathalie Pochet, Frank De Smet, Johan A.K. Suykens and Bart L.R. De Moor (2004).
Systematic benchmarking of microarray data classification:
assessing the role of nonlinearity and dimensionality reduction.
Bioinformatics Advance Access published July 1, 2004.
\url{http://homes.esat.kuleuven.be/~npochet/Bioinformatics/}
}

\references{
Hedenfalk,I., Duggan,D., Chen,Y., Radmacher,M., Bittner,
M., Simon,R., Meltzer,P., Gusterson,B., Esteller,M.,
Raffeld,M., Yakhini,Z., Ben-Dor,A., Dougherty,E.,
Kononen,J., Bubendorf,L., Fehrle,W., Pittaluga,S.,
Gruvberger,S., Loman,N., Johannsson,O., Olsson,H.,
Wilfond,B., Sauter,G., Kallioniemi,O.-P., Borg,A. and
Trent,J. (2001) Gene-Expression Profiles in Hereditary
Breast Cancer,
}
\examples{
data(BRAC2)
OneDPlots(BRAC2$X, BRAC2$y)
}
\keyword{datasets}

