\name{BootCP}
\alias{BootCP}
\title{ Bootstrap estimate of mis-classification rates }
\description{
Bootstrapping is used to estimate the mis-classification rate of
a classification algorithm.
}
\usage{
BootCP(X, y, Xt, yt, fun = FitLDA, NREP = 10, nTrain = nrow(X))
}
\arguments{
  \item{X}{ original training data inputs }
  \item{y}{ original training data output }
  \item{Xt}{ original test data inputs}
  \item{yt}{ original test data output }
  \item{fun}{ the classification function }
  \item{NREP}{ number of bootstrap replications }
  \item{nTrain}{ size of training sample, default is same as inputs }
}
\details{
The training and test data are combined.
}
\value{
matrix giving the average mis-classfication rates in the training and test samples
and the corresponding standard deviations
}
\author{ AIM }

\seealso{ \code{\link{FitLDA}} }

\examples{
data(Mixture)
attach(Mixture)
BootCP(X,y,Xt,yt, NREP=15, fun=function(a,b,c,d) FitkNN(a,b,c,d,k=7) )
}

\keyword{ classif }
