\name{FitNNReg}
\alias{FitNNReg}
\title{ Classification using NN covariates }
\description{
Classification using plsr/pcr with NN covariates
}
\usage{
FitNNReg(X, y, Xt, yt, Reg = plsr, ncomp = 2, number.NN = (nrow(X) - 3), NN = seq(0, number.NN, 5))
}

\arguments{
  \item{X}{ design matrix, training sample }
  \item{y}{ binary response vector of 1 and -1 }
  \item{Xt}{ design matrix, test sample }
  \item{yt}{ binary response vector of 1 and -1  }
  \item{Reg}{ Method of regression, which can be plsr or pcr  }
  \item{ncomp}{ Number of components taken in the pls/pc regression. }
  \item{number.NN}{ Number of nearest neighbors to be considered }
  \item{NN}{ Sequence of ordered nearest neighbor covariates to be taken }
}
\details{

}
\value{
list with two components:
misclassification rates
and confusion matricies for both the training and test samples.
}

\references{ S. Islam Ph.D. Thesis }

\author{ Shahidul Islam }

\seealso{ \code{\link{FitLDA}} }

\examples{
data(Gaussian)
attach(Gaussian)
\dontrun{
FitNNReg(X, y, Xt, yt)
}
}

\keyword{ classif }
