\name{FitRDA}
\alias{FitRDA}
\title{ Regularized Discriminant Analysis }
\description{
Fits RDA, computes mis-classification rates on training and test data.
}
\usage{
FitRDA(X, y, Xt, yt, alpha = seq(0, 0.99, 0.11), delta = seq(0, 4, 0.2))
}

\arguments{
  \item{X}{ design matrix, training sample }
  \item{y}{ binary response vector of 1 and -1 }
  \item{Xt}{ design matrix, test sample }
  \item{yt}{ binary response vector of 1 and -1  }
  \item{alpha}{ tuning parameter }
  \item{delta}{ turning parameter }
}

\value{
}


\references{ 
Guo Y, Hastie T, Tibshirani R (2007). 
Regularized linear discriminant analysis and its application in microarrays. 
Biostatistics 8, 86-100. 
}

\author{ Shahidul Islam }

\seealso{ \code{\link{FitLDA}} }
\examples{
data(Gaussian)
attach(Gaussian)
FitRDA(X, y, Xt, yt)
}

\keyword{ classif }
