\name{FitRPLS}
\alias{FitRPLS}
\title{ RPLS }
\description{
performs prediction using Fort and Lambert-Lacroix (2005) RPLS algorithm
}
\usage{
FitRPLS(X, y, Xt, yt, LambdaRange = c(0.01, 1), ncompMax = 20)
}
\arguments{
  \item{X}{ design matrix, training sample }
  \item{y}{ binary response vector of 1 and -1 }
  \item{Xt}{ design matrix, test sample }
  \item{yt}{ binary response vector of 1 and -1  }
  \item{LambdaRange}{tuning parameter }
  \item{ncompMax}{ number of components to use }
}
\details{
}

\value{
list with two components:
misclassification rates
and confusion matricies for both the training and test samples.
}

\references{
G. Fort and S. Lambert-Lacroix (2005). Classification using Partial Least Squares with Penalized
Logistic Regression, Bioinformatics, vol 21, n 8, 1104-1111.

\url{http://cran.r-project.org/src/contrib/Descriptions/plsgenomics.html}
 
\url{http://www-lmc.imag.fr/lmc-sms/Sophie.Lambert}
}

\author{ MSI and AIM}
\note{ 
The columns of the data matrices X and Xt may not be standardized, since standardizing
is performed by the function rpls as a preliminary step before the algorithm is run.
The procedure described in Fort and Lambert-Lacroix (2005) is used to determine 
latent components. 
}

\seealso{ \code{\link{FitLDA}} }

\examples{
data(Golub)
attach(Golub)
#FitRPLS(X, y, Xt, yt)
}
\keyword{ classif }
