\name{Iizuka}
\alias{Iizuka}
\docType{data}
\title{ Iizuka carcinoma data set}

\description{
Response is y=1 or y=-1 according as early intrahepatic recurrence or not 
There are 7129 gene expressions.

\tabular{rccc}{
Data	\tab y=1 \tab y=--1 \tab Total 		\cr
train	\tab 12 \tab 21 \tab 33 		\cr
test	\tab 8 \tab 19 \tab 27
}
}

\usage{data(Iizuka)}

\format{
List with 4 named elements, X, y, Xt, yt, which are respectively the
training design matrix, training classes, test design matrix and test classes.
}

\details{
Hepatocellular carcinoma data set (Iizuka et al., 2003).
mRNA expression profiles in tissue specimens from a training set comprising 33 patients with hepatocellular
carcinoma have been hybridized with high-density oligonucleotide microarrays representing about 6000 genes.
The same has been done for a blinded set of samples from 27 newly enrolled patients. Since hepatocellular
carcinoma has a poor prognosis because of the high intrahepatic recurrence rate, the goal here is to predict
early intrahepatic recurrence or non-recurrence.
The training set consists of 33 hepatocellular carcinoma tissues of which 12 suffer from early intrahepatic
recurrence and 21 not. The test set consists of 27 hepatocellular carcinoma tissues of which 8 suffer from early
intrahepatic recurrence and 19 not. The number of gene expression levels is 7129.
}

\source{
Nathalie Pochet, Frank De Smet, Johan A.K. Suykens and Bart L.R. De Moor (2004).
Systematic benchmarking of microarray data classification:
assessing the role of nonlinearity and dimensionality reduction.
Bioinformatics Advance Access published July 1, 2004.
\url{http://homes.esat.kuleuven.be/~npochet/Bioinformatics/}
}

\references{
Iizuka,N., Oka,M., Yamada-Okabe,H., Nishida,M., Maeda,Y.,
Mori,N., Takao,T., Tamesa,T., Tangoku,A., Tabuchi,H.,
Hamada,K., Nakayama,H., Ishitsuka,H., Miyamoto,T.,
Hirabayashi,A., Uchimura,S. and Hamamoto,Y. (2003)
Oligonucleotide microarray for prediction of early intrahepatic
recurrence of hepatocellular carcinoma after curative
resection, The Lancet, 361,923-929.
}

\examples{
data(Iizuka)
}

\keyword{datasets}
