\name{Nutt}
\alias{Nutt}
\docType{data}
\title{ High-grade glioma dataset, Nutt et al., 2003}

\description{
Response is y=1 or y=-1 according as glioblastomas or anaplastic oligodendrogliomas.
There are 12625 gene expressions.

\tabular{rccc}{
Data	\tab y=1 \tab y=--1 \tab Total 	\cr
train	\tab 14 \tab 7 \tab 21 		\cr
test	\tab 14 \tab 15 \tab 29
}

Note: the gene expressions in BRAC1, BRAC2 and Sporadic are not identical.

}

\usage{data(Nutt)}

\format{
List with 4 named elements, X, y, Xt, yt, which are respectively the
training design matrix, training classes, test design matrix and test classes.
}

\details{
50 high-grade glioma samples were carefully selected, 28 glioblastomas and 22 anaplastic oligodendrogliomas,
all were primary tumors sampled before therapy. The classic subset of tumors were cases diagnosed similarly
by all examining pathologists, and each case resembled typical depictions in standard textbooks. A total of
21 classic tumors was selected, and the remaining 29 samples were considered nonclassic tumors, lesions for
which diagnosis might be controversial. Affymetrix arrays are used to determine the expression of about 12000
genes. The goal here is to separate the glioblastomas from the anaplastic oligodendrogliomas, which allows
appropriate therapeutic decisions and prognostic estimation.
The training set consists of 21 gliomas with classic histology of which 14 are glioblastomas and 7 anaplastic
oligodendrogliomas. The test set consists of 29 gliomas with non-classic histology of which 14 are glioblastomas
and 15 are anaplastic oligodendrogliomas. The number of gene expression levels is 12625.

}

\source{
Nathalie Pochet, Frank De Smet, Johan A.K. Suykens and Bart L.R. De Moor (2004).
Systematic benchmarking of microarray data classification:
assessing the role of nonlinearity and dimensionality reduction.
Bioinformatics Advance Access published July 1, 2004.
\url{http://homes.esat.kuleuven.be/~npochet/Bioinformatics/}
}

\references{
Nutt,C.L., Mani,D.R., Betensky,R.A., Tamayo,P., Cairncross,
J.G., Ladd,C., Pohl,U., Hartmann,C., McLaughlin,
M.E., Batchelor,T.T., Black,P.M., von Deimling,A.,
Pomeroy,S.L., Golub,T.R. and Louis,D.N. (2003) Gene
expression-based classification of malignant gliomas correlates
better with survival than histological classification,
Cancer Research, 63(7),1602-1607.
}

\examples{
data(Nutt)
OneDPlots(Nutt$X, Nutt$y)
}

\keyword{datasets}
