\name{Singh}
\alias{Singh}
\docType{data}
\title{ Prostate cancer data set, Singh et al. 2002}

\description{
Response is y=1 or y=-1 according as tissue is normal/tumor.
There are 12600 gene expressions.

\tabular{rccc}{
Data	\tab y=1 \tab y=--1 \tab Total 		\cr
train	\tab 50 \tab 52 \tab 102 		\cr
test	\tab 9 \tab 25 \tab 34
}
}

\usage{data(Singh)}

\format{
List with 4 named elements, X, y, Xt, yt, which are respectively the
training design matrix, training classes, test design matrix and test classes.
}

\details{
High-quality expression profiles were successfully derived from 52 prostate tumors and 50 nontumor prostate
samples from patients undergoing surgery. Oligonucleotide microarrays containing probes for approximately
12600 genes and ESTs. Since prostate tumors are among the most heterogeneous of cancers, both histologically
and clinically, the goal here is to classify tumor and nontumour samples.
The training set consists of 102 prostate tissues of which 50 are normal and 52 tumor samples. The test
set consists of 34 tissues of which 9 are normal and 25 tumor samples. The number of gene expression levels is
12600.
}

\source{
Nathalie Pochet, Frank De Smet, Johan A.K. Suykens and Bart L.R. De Moor (2004).
Systematic benchmarking of microarray data classification:
assessing the role of nonlinearity and dimensionality reduction.
Bioinformatics Advance Access published July 1, 2004.
\url{http://homes.esat.kuleuven.be/~npochet/Bioinformatics/}
}

\references{
Singh,D., Febbo,P.G., Ross,K., Jackson,D.G., Manola,J.,
Ladd,C., Tamayo,P., Renshaw,A.A., D'Amico,A.V.,
Richie,J.P., Lander,E.S., Loda,M., Kantoff,P.W.,
Golub,T.R. and Sellers,W.R. (2002) Gene expression
correlates of clinical prostate cancer behavior, Cancer Cell,
1(2),203-209.
}

\examples{
data(Singh)
OneDPlots(Singh$X, Singh$y)
}
\keyword{datasets}
