\name{Spira}
\alias{Spira}
\docType{data}
\title{ Smoker dataset, Spira et al. 2004}
\description{
Number of genes: 9968. 
Other covariates including age and gender are available in the original data.
The training set consists of 38 subjects and the test data 37.

\tabular{rccc}{
Data	\tab y=1 \tab y=--1 \tab Total 		\cr
train	\tab 26 \tab 12 \tab 38 		\cr
test	\tab 26 \tab 11 \tab 37
}

The response y=1 corresonds to a smoker or previous smoker
while y=-1 corresponds to an individual who never smoked.

The original data was not divided into training and test.
There are 27 males in the training and test datasets.
There are 10 females in the training dataset and 9 in the test.
}

\usage{data(Spira)}

\format{
List with 4 named elements, X, y, Xt, yt, which are respectively the
training design matrix, training classes, test design matrix and test classes.
}

\details{
}

\source{
\url{www.pnas.org/cgi/doi/10.1073/pnas.0401422101}
}

\references{
Avrum Spira, Jennifer Beanea, Vishal Shah, Gang Liu, Frank Schembri, Xuemei Yang, John Palma,
and Jerome S. Brody (2004). Effects of cigarette smoke on the human airway 
epithelial cell transcriptome. PNAS  July 6, 2004  vol. 101  no. 27  
}

\examples{
data(Spira)
OneDPlots(Spira$X, Spira$y)
}

\keyword{datasets}
